> For the complete documentation index, see [llms.txt](https://docs.eueno.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eueno.io/eueno-libraries/eueno-lib-browser/login.md).

# login()

## Syntax

```javascript
login(account: string)
```

Login to eueno by Owallet account address. After login, the token will be saved in local storage with the name “eueno-token”. **YOU MUST LOG IN BEFORE USING ANY METHOD IN EUENO LIBRARY.**

## Parameters

<table><thead><tr><th width="109">Name</th><th width="121">Type</th><th width="102">Required</th><th>Description</th></tr></thead><tbody><tr><td>account</td><td>string</td><td>Yes</td><td>Owallet account address.</td></tr></tbody></table>

## Example

{% code lineNumbers="true" %}

```javascript
import { login} from "@eueno/lib-browser";

const onLogin = async () => {
   try {
     const account = "0xf069fF728e9fc85D81163269F3b04Ef5CF387f15";
     const response = await login(account);
     console.log("LOGIN", response);
   } catch (error) {
     console.log(error);
   }
 };

```

{% endcode %}

Response of example:

```json
 "data": {
        "account": "0xf069ff728e9fc85d81163269f3b04ef5cf387f15",
        "memo": "3506489706676224",
        "balance": 0,
        "token": "eyJhbG…8GMCQ",
        "create_at": "2022-12-26T03:16:26.903Z"
    }

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eueno.io/eueno-libraries/eueno-lib-browser/login.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
